Saltar para o conteúdo principal
POST
/
qrart
/
generate
Generate an QR code
curl --request POST \
  --url https://api.acedata.cloud/qrart/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "link",
  "prompt": "mexican tacos",
  "ecl": "L",
  "qrw": 123,
  "seed": 123,
  "steps": 123,
  "preset": "sunset",
  "rawurl": true,
  "rotate": 0,
  "content": "https://platform.acedata.cloud",
  "pattern": "custom",
  "position": "center",
  "sub_marker": "square",
  "pixel_style": "square",
  "aspect_ratio": "1:1",
  "callback_url": "https://webhook.site/b3b2f950-d68f-4cc4-b931-667367bff1e3",
  "marker_shape": "square",
  "padding_level": 0,
  "padding_noise": 0,
  "content_image_url": "<string>"
}
'
{
  "seed": 8854035076374666,
  "task_id": "29393080-1800-418a-a05c-67f94f33059e",
  "image_url": "https://qrart.cdn.acedata.cloud/attachments/1132182283529494652/1226431639480045698/germey_main_2024-04-07__6612496e1b0700c43d070ea5.png?ex=6624be78&is=66124978&hm=aea84560164d1e7d10531fc81fdaf83dce796be392b46be4ddc6e9231f01b802&",
  "image_width": 768,
  "image_height": 768
}

Autorizações

Authorization
string
header
obrigatório

Cabeçalhos

accept
enum<string>

Specifies the format of the response from the server.

Opções disponíveis:
application/json

Corpo

application/json
type
enum<string>
obrigatório

Type of the QR code. Such as link, text, etc.

Opções disponíveis:
link,
text,
email,
phone,
sms
prompt
string
obrigatório

The prompt. Used to describe the background style of the generated artistic QR code. It is strongly recommended to use English. The specific writing method can refer to the SD official website (https://stablediffusionweb.com)

Exemplo:

"mexican tacos"

ecl
enum<string>

The error correction level of the QR code. The default is H, which is the highest error correction level. For details, see https://www.qrcode.com/en/about/error_correction.html

Opções disponíveis:
L,
M,
Q,
H
qrw
number

The weight of the QR code. The larger the weight, the closer the image is to the real QR code, but the artistic style will be weakened. The value range is 1.5-3, and the default is 1.5.

seed
number

Random seed. Used to generate random QR codes. When the seed is the same, the generated QR code style is the same. The range is 1-9007199254740991.

steps
number

The number of iterations to draw. The larger the number, the stronger the artistic style of the generated QR code, the range is 10-20, and the default is 16.

preset
enum<string>

The preset background style. The style of the background of the QR code, such as surreal style, neon effect, hand-drawn style, etc.

Opções disponíveis:
sunset,
floral,
snowflakes,
feathers,
raindrops,
ultra-realism,
epic-realms,
intricate-studio,
symmetric-masterpiece,
luminous-highway,
celestial-journey,
neon-mech,
ethereal-low-poly,
golden-vista,
cinematic-expanse,
cinematic-warm,
desolate-wilderness,
vibrant-palette,
enigmatic-journey,
timeless-cinematic,
regal-galaxy,
illustrious-canvas,
expressive-mural,
serene-haze
rawurl
boolean

If keep original link. If true, the original link will be kept. By default, the input link will be shortened to a short link, which can improve the scan rate. The default value is false.

rotate
enum<number>

The rotation angle of the QR code. The default is 0, which means no rotation.

Opções disponíveis:
0,
90,
180,
270
content
string

The content of the QR code. Such as link content, text content, etc.

Exemplo:

"https://platform.acedata.cloud"

pattern
enum<string>

The pattern of the QR code. The default is custom, which means that the pattern is generated according to the content. For details, see https://stablediffusionweb.com/patterns

Opções disponíveis:
custom,
s1,
s2,
s3,
rd1,
rd2,
rd3,
d1,
d2,
d3,
r1,
r2,
r3,
c1,
c2,
c3,
sq1,
sq2,
sq3
position
enum<string>

The position of the QR code. The default is center, which means the QR code is in the center of the image.

Opções disponíveis:
center,
top,
right,
bottom,
left,
top-left,
top-right,
bottom-left,
bottom-right
sub_marker
enum<string>

The sub-marker style of the QR code. The default is square, which means the sub-marker style is square.

Opções disponíveis:
square,
circle,
box,
random,
plus
pixel_style
enum<string>

The pixel style of the QR code. Such as square, rounded, dot, etc. The default is square.

Opções disponíveis:
square,
rounded,
dot,
squircle,
row,
column
aspect_ratio
enum<string>

The aspect ratio of the QR code. The default is 1:1.

Opções disponíveis:
1:1,
16:9,
9:16,
4:3,
3:4
callback_url
string

The callback URL. The URL to receive the result of the task. If provided, the result will be sent to this URL and task will be executed asynchronously.

Exemplo:

"https://webhook.site/b3b2f950-d68f-4cc4-b931-667367bff1e3"

marker_shape
enum<string>

The marker style of the QR code. The default is square, which means the marker style is square.

Opções disponíveis:
square,
circle,
plus,
box,
octagon,
random,
tiny-plus
padding_level
enum<number>

The padding level of the QR code. The default is 5.

Opções disponíveis:
0,
5,
10,
15,
20
padding_noise
enum<number>

The padding noise of the QR code. The default is 0.

Opções disponíveis:
0,
0.25,
0.5,
0.75,
1
content_image_url
string

The url of the QR code image, which contains the real content of QR code.

Resposta

OK, the request was successful.

seed
number

Seed value, used to generate the QR code

task_id
string

The unique identifier of the task

image_url
string

The URL of the generated QR code image

image_width
string

The width of the generated QR code image

image_height
string

The height of the generated QR code image